Planning
remove_checklist_item
Write grantDestructiveIdempotent
Remove an item from a ticket's checklist. Returns the ticket with its checklists. Needs write access.
Inputs
ticketstringRequiredA ticket ID, such as WEB-31.
itemstringRequiredA checklist item's ID from get_ticket, or its title when only one of the ticket's checklists has it, such as Peer review.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "remove_checklist_item", "arguments": { "ticket": "WEB-31", "item": "Search works offline" } }}POST/clanker/v1/tickets:remove-checklist-item
curl -X POST https://api.qa.clankership.net/clanker/v1/tickets:remove-checklist-item \ -H "Authorization: Bearer $CLANKER_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "ticket": "WEB-31", "item": "Search works offline" }'